getCustomers
READGet customers.
POST /api/v1/sales/getCustomers
curl -X POST '<your-host>/api/v1/sales/getCustomers' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"accountManagerId": "string",
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customerStatusId": "string",
"customerTypeId": "string",
"customFields": "…",
"defaultCc": [
"string"
],
"eori": "string",
"externalId": "…",
"fax": "string",
"id": "string",
"logo": "string",
"name": "string",
"orderCount": 0,
"phone": "string",
"readableId": "string",
"salesContactId": "string",
"status": "string",
"tags": [
"string"
],
"taxId": "string",
"taxPercent": 0,
"type": "string",
"updatedAt": "string",
"updatedBy": "string",
"vatNumber": "string",
"website": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}